Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

QueryDatabaseBackup

QueryDatabaseBackup

GET/zstack/v1/database-backups
GET/zstack/v1/database-backups/{uuid}

Operation ID

QueryDatabaseBackup

Since

3.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The UUID of the database backup.

    • name
      StringRequired

      The name of the backup.

    • description
      StringRequired

      The detailed description of the backup.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • size
      LongRequired

      The size.

    • metadata
      StringRequired

      The metadata.

    • createDate
      TimestampRequired

      The time when the backup was created.

    • lastOpDate
      TimestampRequired

      The time when the backup was last modified.

    • backupStorageRefs
      ListRequired

      See backupStorageRefs

      • databaseBackupUuid
        StringRequired

        The database backup UUID.

      • backupStorageUuid
        StringRequired

        The UUID of the backup storage.

      • installPath
        StringRequired

        The installation path.

      • exportUrl
        StringRequired

        The export URL.

      • status
        StringRequired

        The resource status.

      • createDate
        TimestampRequired

        The time when the backup was created.

      • lastOpDate
        TimestampRequired

        The time when the backup was last modified.